#192 Stack Traces show many stack frames multiple times

Need_for_debugging
closed-fixed
3
2005-07-24
2005-07-15
No

FIXED
This is Chris Hibbert. SourceForge won't let me log in.

Here's a representative stack trace. There was nothing
special about this one. Nearly all stack traces show
some repeated frames. Some frames show up twice, some
three times, and some only once.

...

# problem: too many iterations.
#
# throw("too many iterations.")
# *** @
<file:/Users/chris/e/classes/makeBook.emaker#:span::76:40::76:40>
# <...book$1>()
# <...book$1>()
# <__loop>(<...book$1>)
# <book>.tradeInSmallSteps(<marketOrder>, <TextWriter>)
# <book>.tradeInSmallSteps(<marketOrder>, <TextWriter>)
# <book>.tradeInSmallSteps(<marketOrder>, <TextWriter>)
# *** @
<file:/Users/chris/e/classes/makeBook.emaker#:span::42:21::42:37>
# <book>.tradeTo(Issue("Wea..."snow"]), "snow", 0.24,
85, <assumptions>, ace, false, <TextWriter>)
# <book>.tradeTo(Issue("Wea..."snow"]), "snow", 0.24,
85, <assumptions>, ace, false, <TextWriter>)
# <book>.tradeTo(Issue("Wea..."snow"]), "snow", 0.24,
85, <assumptions>, ace, false, <TextWriter>)
# *** @
<file:/Users/chris/e/classes/makeBook.emaker#:span::25:15::25:21>
# <book>.sell(Issue("Weather...n", "snow"]), "snow",
0.24, 85, <assumptions>, ace, <TextWriter>)
# <book>.sell(Issue("Weather...n", "snow"]), "snow",
0.24, 85, <assumptions>, ace, <TextWriter>)
# *** @ <-.e#:span::402:16::402:19>
# e`def a85 :any := Book.sell(....24, 85, none, ace,
stdout)`.eval(<an OuterScope>)
# *** @
<jar:file:/Volumes/space/Stuff/E-mac-ppc-0.8.23d/e.jar!/org/erights/e/elang/cmd/cmdMakerMaker.emaker#:span::75:25::75:28>

Followups

Comment Date By
See
http://www.eros-os.org/pipermail/e-lang/2003-December/009406.html
and
http://www.eros-os.org/pipermail/e-lang/2003-December/009407.html
2003-Dec-31 18:12 markm

Discussion

  • Steve Jenson

    Steve Jenson - 2005-07-18
    • status: open --> closed-fixed
     
  • Mark Samuel Miller

    • assigned_to: nobody --> caplet
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks